Package: org.grails.encoder.impl

## [Java] Class HTML4Encoder.StreamingHTMLEncoderHelper

- org.grails.encoder.impl.HTML4Encoder.StreamingHTMLEncoderHelper

-     private static final class HTML4Encoder.StreamingHTMLEncoderHelper

  Calls Spring's HtmlUtils's private method to convert characters to HTML entities.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static boolean` | `disabled` |
    `private static java.lang.Object` | `instance` |
    `private static java.lang.reflect.Method` | `mapMethod` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static final java.lang.String` | `convertToReference(char c)` Convert to html reference.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static boolean disabled

    - #### private static java.lang.Object instance

    - #### private static java.lang.reflect.Method mapMethod

  - ### Method Detail

    - #### public static final java.lang.String convertToReference(char c)

      Convert to html reference.

      Parameters:
        `c` - the character to convert
      Returns:
        the converted entity, returns null if the character doesn't have a replacement